Vera Automations Stopped Working

I can control my vera devices (lights and locks) but their states are incorrect and none of the automations work. Thought it was because of updating to 0.95.4 so I then updated to 0.96.1 but see the same error when I tail the home-assistant.log

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 221, in async_update_ha_state
    await self.async_device_update()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 380, in async_device_update
    await self.hass.async_add_executor_job(self.update)
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/vera/lock.py", line 45, in update
    self._state = (STATE_LOCKED if self.vera_device.is_locked(True)
  File "/usr/local/lib/python3.7/site-packages/pyvera/__init__.py", line 1011, in is_locked
    self.refresh()
  File "/usr/local/lib/python3.7/site-packages/pyvera/__init__.py", line 608, in refresh
    j = self.vera_request(id='sdata', output_format='json').json()
  File "/usr/local/lib/python3.7/site-packages/pyvera/__init__.py", line 484, in vera_request
    return self.vera_controller.data_request(request_payload)
  File "/usr/local/lib/python3.7/site-packages/pyvera/__init__.py", line 107, in data_request
    return requests.get(request_url, timeout=timeout, params=payload)
  File "/usr/local/lib/python3.7/site-packages/requests/api.py", line 75, in get
    return request('get', url, params=params, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/requests/adapters.py", line 516, in send
    raise ConnectionError(e, request=request)
requests.exceptions.ConnectionError: HTTPConnectionPool(host='XXX.XXX.XXX.XXX', port=3480): Max retries exceeded with url: //data_request?output_format=json&DeviceNum=15&id=sdata (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fb35ed499d0>: Failed to establish a new connection: [Errno 113] Host is unreachable'))
2019-07-19 09:19:49 INFO (Vera Poll Thread) [pyvera.subscribe] Could not poll Vera - will retry in 10s

I can connect to the Vera box via the http interface and via my mobile apps without any issues.

How do you recover from this?

Thanks

Roll back to 0.94.4. It’s the last release that was known to work with Vera. See this thread:


Hers hoping for a quick fix.
Kartcon

I went forward instead of going backwards (probably because I don’t know how to go backwards in versions) @kartcon
Now we’re using 0.96.3. Of course we’re having the same problem. The log is littered with those errors on repeat . . . .

When I put the puzzle pieces together:
The host IP and port from here --> HTTPConnectionPool(host=‘XXX.XXX.XXX.XXX’, port=3480)
The URL from here --> //data_request?output_format=json&DeviceNum=15&id=sdata
I get a successful json response.

So I’m guessing that somewhere the URL isn’t assembled correctly? (Maybe it is the “//”?)

Is anyone around who can support the Vera plugin ??